<template>
  <el-container>
    <el-aside style="width:250px">
      <basic-container>
        <!--          树组件-->
        <master-tree
          :currentPage="this.currentPage"
          :pageSize="this.pageSize"
          @TreeValue="TreeValueEmit"
          @Treedata="TreedataList"
          @codeClassifyOid="codeClassifyOidList"
          @coderuleoid="coderuleoidList"
          @loading="loadingHandler"
          @nodeClickList="nodeClickLists"
          @nodeClickTemplateOids="nodeClickTem"
          @tableDataArray="tableDataArrays"
          @tableHeadBttoms="tableHeadBttoms"
          @tableHeadDataFateher="tableHeadDatas"
          @tableHeadFindData="tableHeadFindDatas"
          @total="totals"
        >
        </master-tree>
      </basic-container>
    </el-aside>
    <el-main>
      <!--        表格组件-->
      <VciMasterCrud
        ref="vciMasterCrud"
        :TreeValue="TreeValue"
        :Treedata="Treedata"
        :codeClassifyOid="this.codeClassifyOid"
        :coderuleoid="this.coderuleoid"
        :isLoading="isLoading"
        :nodeClickList="this.nodeClickList"
        :page="this.page"
        :tableDataArray="tableDataArray"
        :tableHeadBtnData="masterVrBtnList"
        :tableHeadDataFateher="this.tableHeadDataFateher"
        :tableHeadFindData="tableHeadFindData"
        :templateOid="templateOid"
        :total="this.total"
        @currentPage="currentPages"
        @pageSize="pageSizes"
      >
      </VciMasterCrud>
    </el-main>
  </el-container>
</template>

<script>
export default {
  name: "items.vue",
  data() {
    return {
      // 分页
      page: {
        total: 0,
        currentPage: 1,
        pageSize: 100,
        pageSizes: [10, 30, 50, 100, 200],
      },
      pageSize: "100",
      currentPage: "1",
      codeClassifyOid: "",
      coderuleoid: "",
      Treedata: [],
      templateOid: "",
      tableDataArray: [],
      masterVrBtnList: [],
      tableHeadDataFateher: [],
      total: "",
      isLoading: false,
      tableHeadFindData: {},
      TreeValue: '',
      nodeClickList: []
    }
  },
  created() {
  },
  methods: {
    nodeClickLists(val) {
      this.nodeClickList = val;
      // 点击树节点时重置当前页和页数
      this.page.pageSize = 100;
      this.page.currentPage = 1;
      // 重置保存的高级查询查询条件和快速查询条件
      const childComponent = this.$refs.vciMasterCrud;
      childComponent.conditionMap = {}; // 修改子组件的data中的属性
    },
    TreeValueEmit(val) {
      this.TreeValue = val;
    },
    codeClassifyOidList(val) {
      this.codeClassifyOid = val;
    },
    coderuleoidList(val) {
      this.coderuleoid = val;
    },
    TreedataList(val) {
      this.Treedata = val;
    },
    pageSizes(val) {
      this.pageSize = val;
    },
    currentPages(val) {
      this.currentPage = val;
    },
    tableDataArrays(val) {
      this.tableDataArray = val;
    },
    totals(val) {
      this.total = val;
    },
    tableHeadDatas(val) {
      this.tableHeadDataFateher = val;
    },
    tableHeadFindDatas(val) {
      this.tableHeadFindData = val;
    },
    nodeClickTem(val) {
      this.templateOid = val;
    },
    tableHeadBttoms(val) {
      this.masterVrBtnList = val;
    },
    loadingHandler(val) {
      this.isLoading = val;
    }
  }
}
</script>

<style scoped>

</style>
